@charset "UTF-8";

/* ============================================================
   103-kyivcity-modern-fix-{date}.css
   Виправлення
   ============================================================ */

/* 1. Скасовуємо зміну position хедера, навіть якщо додано клас header-sticky */
/* ------- Sticky Header Scroll fix - START ------- */
#sp-header.header-sticky {
    position: fixed !important;
    animation: none !important;
}

html {
  scroll-padding-top: 101px!important;
}
/* ------- Sticky Header Scroll fix - END ------- */


/* 2. Виправлення проблеми смикання QUIX-секцій на пристроях з iOS  */
/* ------- QUIX iOS fix - START ------- */
html, body {
  height: 100%;
  overflow-x: hidden;
}

* {
  -webkit-tap-highlight-color: transparent;
}

.section {
  backface-visibility: hidden;
  transform: translateZ(0);
}

/* ------- QUIX iOS fix - END ------- */

/* Виправлення вертикального вирівнювання елементів icon-list у вертикальному розташуванні QUIX 6.0.4 */
/* ------- icon-list desktop-vertical-layout fix - START ------- */

[id^="qx-icon-list-"] ul {
    list-style: none!important;
    margin: 0!important;
    padding-left: 0!important;
}

[id^="qx-icon-list-"] ul.qx-flex.desktop-vertical-layout.tablet-vertical-layout.phone-vertical-layout {
    flex-direction: column!important;
    align-items: center!important;
}

[id^="qx-icon-list-"] ul.qx-flex.desktop-vertical-layout.tablet-vertical-layout.phone-vertical-layout li {
    width: fit-content !important;
    text-align: center!important;
}

@media (max-width: 767px) {
    .phone-vertical-layout li, .phone-horizontal-layout li, .phone-vertical-layout li a, .phone-horizontal-layout li a {
        display: block!important;
    }
}
/* ------- icon-list desktop-vertical-layout fix - END ------- */